Package: grails.web.mapping.cors

## [Groovy] Class GrailsCorsFilter

- grails.web.mapping.cors.GrailsCorsFilter

- All Implemented Interfaces and Traits:
    org.springframework.core.Ordered

      @groovy.transform.CompileStatic
      class GrailsCorsFilter
      extends org.springframework.web.filter.CorsFilter
      implements org.springframework.core.Ordered

  A class to be registered as a filter for Cors based on Grails configuration

  Authors:
    James Kleeh
  Since:
    3.2.2

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.springframework.web.filter.CorsFilter` | `ALREADY_FILTERED_SUFFIX`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsCorsFilter ()`
    `GrailsCorsFilter (GrailsCorsConfiguration corsConfiguration)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `private static org.springframework.web.cors.UrlBasedCorsConfigurationSource` | `configurationSource(java.util.Map<java.lang.String, org.springframework.web.cors.CorsConfiguration> corsConfigurations)`
    `` | `int` | `getOrder()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.web.filter.CorsFilter` | `org.springframework.web.filter.CorsFilter#setCorsProcessor(org.springframework.web.cors.CorsProcessor), org.springframework.web.filter.CorsFilter#doFilter(javax.servlet.ServletRequest, javax.servlet.ServletResponse, javax.servlet.FilterChain), org.springframework.web.filter.CorsFilter#getFilterConfig(), org.springframework.web.filter.CorsFilter#setServletContext(javax.servlet.ServletContext), org.springframework.web.filter.CorsFilter#afterPropertiesSet(), org.springframework.web.filter.CorsFilter#setBeanName(java.lang.String), org.springframework.web.filter.CorsFilter#getEnvironment(), org.springframework.web.filter.CorsFilter#setEnvironment(org.springframework.core.env.Environment), org.springframework.web.filter.CorsFilter#init(javax.servlet.FilterConfig), org.springframework.web.filter.CorsFilter#destroy(), org.springframework.web.filter.CorsFilter#wait(long), org.springframework.web.filter.CorsFilter#wait(long, int), org.springframework.web.filter.CorsFilter#wait(), org.springframework.web.filter.CorsFilter#equals(java.lang.Object), org.springframework.web.filter.CorsFilter#toString(), org.springframework.web.filter.CorsFilter#hashCode(), org.springframework.web.filter.CorsFilter#getClass(), org.springframework.web.filter.CorsFilter#notify(), org.springframework.web.filter.CorsFilter#notifyAll()`

- - ### Constructor Detail

    - #### GrailsCorsFilter()

    - #### GrailsCorsFilter(GrailsCorsConfiguration corsConfiguration)

  - ### Method Detail

    - #### private static org.springframework.web.cors.UrlBasedCorsConfigurationSource configurationSource(java.util.Map<java.lang.String, org.springframework.web.cors.CorsConfiguration> corsConfigurations)

    - #### @java.lang.Override int getOrder()